<!DOCTYPE html>
<html lang="en">
<head>
    <title>Chatbot Task 1</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.0/css/bulma.min.css">
    <style>
        .fixed-bottom{
            padding-bottom: 20px;
            position: fixed;
            left: 0;
            right: 0;
            bottom: 0;
            width: 100%;
        }

        .message-box{
            height: 430px;
            overflow-y: scroll;
        }


    </style>
</head>
<body>
    <section class="hero is-primary">
        <div class="hero-body">
            <div class="container">
            <h1 class="title">
                Chatbot 
            </h1>
            <h2 class="subtitle">
                Chatbot app using web socket and chatterbot
            </h2>
            </div>
        </div>
    </section>
    <br>
    <div class="container ">
        <div class="notification message-box">
            <h3 style='color: #ccc;font-size: 30px;'>Start chatting with bot...</h3>
            <div class="message_holder">
                <div style="color: blueviolet;"><b>Bot: </b> Hi, i'am robot</div>
            </div>
            
            
        </div>
    </div>
    <section class="container fixed-bottom">
        <article class="media">
            <figure class="media-left">
              <p class="image is-64x64">
                <img src="https://bulma.io/images/placeholders/128x128.png">
              </p>
            </figure>
            <div class="media-content">
                <form action="" method="POST">

                    <div class="field">
                        <p class="control">
                            <textarea style="resize: none;" class="textarea message" name="message"  placeholder="Add a message..."></textarea>
                        </p>
                    </div>
                    <nav class="level">
                        <div class="level-left">
                            <div class="level-item">
                                <button type="submit" class="button is-info">Submit</button>
                            </div>
                        </div>
                    </nav>
                </form>
            </div>
        </article>    
    </section>

  

<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/1.7.3/socket.io.min.js"></script>
<script type="text/javascript">
    var prot = 'https'
    if(document.domain == 'localhost' || document.domain == '127.0.0.1'){
        prot = 'http'
    }
    var socket = io.connect(prot + '://' + document.domain + ':' + location.port);

    socket.on( 'connect', function() {
  
        var form = $( 'form' ).on( 'submit', function( e ) {
            e.preventDefault()
            let user_input = $( 'textarea.message' ).val()
            console.log(user_input)
            socket.emit( 'chatbot', {
                message : user_input
            } )
            $( 'textarea.message' ).val( '' ).focus()
            $( 'div.message_holder' ).append( '<div> <b>User:</b> '+user_input+'</div>' )

        } )
    } )
    socket.on( 'send-message', function( msg ) {
        console.log( msg )
        if( typeof msg.message !== 'undefined' ) {
            $( 'h3' ).remove()
            $( 'div.message_holder' ).append("<div style='color:blueviolet'> <b>Bot:</b> "+msg.message+"</div>")
        }
    })
</script>

</body>
</html>